# Research Card

## Research Card

The Research Card API gets details on the card.

## Input Parameters:

| Name          | Required | Definition                                                                                                           | Comments |
| ------------- | -------- | -------------------------------------------------------------------------------------------------------------------- | -------- |
| CardNumber    | C        | Format: Numeric, 16                                                                                                  |          |
| OperationType | Y        | <p>Format options:<br>RPID<br>Blank<br>Description: if RPID, RPID is required. If blank, CardNumber is required.</p> |          |
| RPID          | C        | Format: Numeric, 1-19                                                                                                |          |

## Output Parameters:

| Name                              | Definition                                                                                                                                                                                                                                                                                        | Failure Case | Success Case | Comments |
| --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------ | -------- |
| C-B-B                             | Format: Alphanumeric, “5-2-2”                                                                                                                                                                                                                                                                     | Not returned | Returned     |          |
| CardStatus                        | <p>Format options:<br>"ACT" (Active)<br>"CC" (Close)<br>"CII" (Card In Inventory)<br>"LOCK\_CII" (Locked Card In Inventory)<br>"LOCK" (Locked)<br>"LST" (Lost)<br>"SPLT" (Spoilt)<br>"SPND" (Suspended)<br>"STLN" (Stolen)<br>Description: All application cards statuses (as ACT, SPND, etc)</p> | Not returned | Returned     |          |
| CardHolderState                   | <p>Format options:<br>V<br>V-PNS<br>RNV<br>NRNV</p>                                                                                                                                                                                                                                               | Not returned | Returned     |          |
| CardNumber                        | Format: Numeric, 16                                                                                                                                                                                                                                                                               | Not returned | Returned     |          |
| ExpirationDate                    | Format: MMYY                                                                                                                                                                                                                                                                                      | Not returned | Returned     |          |
| ExpectedACHTransactionDate        | Format: YYYY-MM-DD                                                                                                                                                                                                                                                                                | Not returned | Returned     | Future   |
| ExpectedACHTransactionType        | Format: Options: FBE, ACH                                                                                                                                                                                                                                                                         | Not returned | Returned     | Future   |
| ExpectedACHTransactionDescription | <p>Format:<br>If ExpectedACHTransactionType=FBE, show relevant "BenefitType"<br>If ExpectedACHTransactionType=ACH, show relevant "ACHCompanyName (ACHCompanyDescription)"</p>                                                                                                                     | Not returned | Returned     | Future   |
| ExpectedACHTransactionAmount      | Format: Numeric, 11                                                                                                                                                                                                                                                                               | Not returned | Returned     | Future   |
| LastNetworkTransactionDate        | Format: YYYY-MM-DD                                                                                                                                                                                                                                                                                | Not returned | Returned     | Future   |
| LastNetworkTransactionDescription | Format: Alphanumeric,100                                                                                                                                                                                                                                                                          | Not returned | Returned     | Future   |
| LastNetworkTransactionAmount      | Format: Numeric, 11                                                                                                                                                                                                                                                                               | Not returned | Returned     | Future   |
| LastPraxellTransactionDate        | Format: YYYY-MM-DD                                                                                                                                                                                                                                                                                | Not returned | Returned     | Future   |
| LastPraxellTransactionDescription | Format: Alphanumeric,100                                                                                                                                                                                                                                                                          | Not returned | Returned     | Future   |
| LastPraxellTransactionAmount      | Format: Numeric, 11                                                                                                                                                                                                                                                                               | Not returned | Returned     | Future   |
| LastProcessorTransactionDate      | Format: YYYY-MM-DD                                                                                                                                                                                                                                                                                | Not returned | Returned     | Future   |
| ProcessorCardStatus               | <p>Format options:<br>a. 7(Card Activation)<br>b. 1(Active)<br>c. 9(Closed)<br>d. 4(Warm Card)<br>e. 2(Hot)</p>                                                                                                                                                                                   | Not returned | Returned     |          |
| ProcessorPINFailuresCount         | Format: Alphanumeric, 3                                                                                                                                                                                                                                                                           | Not returned | Returned     |          |
| ProcessorDeclinedTransactionCount | Format: Alphanumeric, 5                                                                                                                                                                                                                                                                           | Not returned | Returned     |          |
| ProductType                       | Format: Alphanumeric, 120                                                                                                                                                                                                                                                                         | Not returned | Returned     |          |
| RPID                              | Format: Numeric, 1-19                                                                                                                                                                                                                                                                             | Not returned | Returned     |          |
| ValidPraxellStatuses              | Format: Alphanumeric, 50                                                                                                                                                                                                                                                                          | Not returned | Returned     |          |

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
 <PraxellXMLRequest>
  <AuthenticationDetails>
    <UserName>test_csr</UserName>
    <UserPassword>test_csr</UserPassword>
    <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
  <ServiceDetails>
    <ServiceName>ResearchCard</ServiceName>
    <UniqueRequestId>1212121212121213</UniqueRequestId>
  </ServiceDetails>
  <Origin>
    <OriginType>ExtAPI</OriginType>
  </Origin>
  <ServiceParams>
    <OperationType>CardNumber</OperationType>
    <CardNumber></CardNumber>    
  </ServiceParams>
 </PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
     <ResponseDetails>
        <ServiceName>ResearchCard</ServiceName>
        <SessionId>38034707200917053</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2009-05-05 07:17:37</ServiceDate>
        <ServiceId>38034707200917053</ServiceId>
    </ResponseDetails>
    <ResponseParams>
        <ProductType>DevOnly</ProductType>
        <CardStatus>ACT</CardStatus>
        <CardHolderState>V</CardHolderState>
        <CardNumber></CardNumber>
        <RPID>9999999999998037</RPID>
        <C-B-B>0-0-0</C-B-B>
        <ExpirationDate>0510</ExpirationDate>
        <ProcessorCardStatus>1(Active)</ProcessorCardStatus>
        <ProcessorPINFailuresCount>0</ProcessorPINFailuresCount>
        <ProcessorDeclinedTransactionCount>0</ProcessorDeclinedTransactionCount>
        <LastTransactionDate>2008-01-02</LastTransactionDate>
        <ValidPraxellStatuses>ACT</ValidPraxellStatuses>
        <IssuerName>Store</IssuerName>
        <LastNetworkTransactionDate></LastNetworkTransactionDate>
        <LastNetworkTransactionType></LastNetworkTransactionType>
        <LastNetworkTransactionAmount></LastNetworkTransactionAmount>
        <LastPraxellTransactionDate></LastPraxellTransactionDate>
        <LastPraxellTransactionDescription></LastPraxellTransactionDescription>
        <LastPraxellTransactionAmount></LastPraxellTransactionAmount>
         <Expected ACH Transactions Information List>
              <ExpectedACHTransactionDate></ExpectedACHTransactionDate>
              <ExpectedACHTransactionDescription></ExpectedACHTransactionDescription>
             <ExpectedACHTransactionDescription></ExpectedACHTransactionDescription>
             <ExpectedACHTransactionAmount></ExpectedACHTransactionAmount>
         </Expected ACH Transactions Information List>
    </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ResearchCard</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70008</StatusCode>
    <StatusName>InvalidIssuer</StatusName>
    <StatusDescription>InvalidIssuer</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/card-status-and-management/research-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
